﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_WORKHOURSRATE')
 CREATE TABLE T_ECA_WORKHOURSRATE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERIODID  BIGINT DEFAULT 0 NOT NULL,
FEFFECTDATE DATETIME,
FEXPDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATASRC NVARCHAR(30) DEFAULT 'manual' NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT 'A' NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FRESOURCEUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY  DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRADEID  BIGINT DEFAULT 0 NOT NULL,
FROLEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESOURCEID  BIGINT DEFAULT 0 NOT NULL,
FCREATORID  BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID  BIGINT DEFAULT 0 NOT NULL,
FAUDITORID  BIGINT DEFAULT 0 NOT NULL,
FCREATETIME  DATETIME,
FMODIFYTIME  DATETIME,
FAUDITDATE  DATETIME
);
EXEC P_ALTERPK 'PK_ECA_WORKHOURSRATE', 'T_ECA_WORKHOURSRATE', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_WORKHOURSRATE_L')
 CREATE TABLE T_ECA_WORKHOURSRATE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);
EXEC P_ALTERPK 'PK_ECA_WORKHOURSRATE_L', 'T_ECA_WORKHOURSRATE_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_WORKHOURSRATEENTRY')
 CREATE TABLE T_ECA_WORKHOURSRATEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSTDRATE DECIMAL(20,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(20,10) DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_ECA_WORKHOURSRATEENTRY', 'T_ECA_WORKHOURSRATEENTRY', 'FENTRYID', '1';

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAD_table.sql **/
